import { AxForm } from "../../forms/ax-form";
import { AxSection } from "../../forms/page/data-detail-view/ax-section";
export declare class DataDetailViewDto {
    id: string;
    formObject: AxForm;
    form: AxForm;
    sections: Array<AxSection>;
    constructor(value?: DataDetailViewDto);
    createNewValue(): void;
    /**function to create text value with existing value
    *
    *@param value
    *
    */
    createValue(value?: DataDetailViewDto): void;
}
